package com.qqchen.deploy.backend.system.service;

import com.qqchen.deploy.backend.system.entity.Permission;
import com.qqchen.deploy.backend.framework.service.IBaseService;
import com.qqchen.deploy.backend.system.model.PermissionDTO;
import com.qqchen.deploy.backend.system.model.query.PermissionQuery;

import java.util.List;

public interface IPermissionService extends IBaseService<Permission, PermissionDTO, PermissionQuery, Long> {
    List<PermissionDTO> listAllEnabled();
    List<PermissionDTO> listByMenuId(Long menuId);
    List<PermissionDTO> listByIds(List<Long> ids);
}